## preludedb-error

preludedb-error

## Synopsis

    enum                preludedb_error_code_t;
    typedef             preludedb_error_t;
    const char *        preludedb_strerror                  (preludedb_error_t error);
    return              prelude_error_from_errno            (...);

## Description

## Details

### enum preludedb_error_code_t

    typedef enum {
            PRELUDEDB_ERROR_NO_ERROR = 0,
            PRELUDEDB_ERROR_GENERIC = 1,
            PRELUDEDB_ERROR_INVALID_SETTINGS_STRING = 2,
            PRELUDEDB_ERROR_CONNECTION = 3,
            PRELUDEDB_ERROR_QUERY = 4,
            PRELUDEDB_ERROR_INVALID_COLUMN_NUM = 5,
            PRELUDEDB_ERROR_INVALID_COLUMN_NAME = 6,
            PRELUDEDB_ERROR_INVALID_VALUE = 7,
            PRELUDEDB_ERROR_INVALID_VALUE_TYPE = 8,
            PRELUDEDB_ERROR_UNKNOWN_SQL_PLUGIN = 9,
            PRELUDEDB_ERROR_UNKNOWN_FORMAT_PLUGIN = 10,
            PRELUDEDB_ERROR_ALREADY_IN_TRANSACTION = 11,
            PRELUDEDB_ERROR_NOT_IN_TRANSACTION = 12,
    	PRELUDEDB_ERROR_INVALID_MESSAGE_IDENT = 13,
    	PRELUDEDB_ERROR_INVALID_SELECTED_OBJECT_STRING = 14,
    	PRELUDEDB_ERROR_INVALID_OBJECT_SELECTION = 15,
    	PRELUDEDB_ERROR_SCHEMA_VERSION_TOO_OLD = 16,
    	PRELUDEDB_ERROR_SCHEMA_VERSION_TOO_RECENT = 17,
    	PRELUDEDB_ERROR_SCHEMA_VERSION_INVALID = 18,
    	PRELUDEDB_ERROR_CANNOT_LOAD_SQL_PLUGIN = 19,
    	PRELUDEDB_ERROR_CANNOT_LOAD_FORMAT_PLUGIN = 20

    } preludedb_error_code_t;

### preludedb_error_t

    typedef prelude_error_t preludedb_error_t;

### preludedb_strerror ()

    const char *        preludedb_strerror                  (preludedb_error_t error);

`error` : |
Returns : |

### prelude_error_from_errno ()

    return              prelude_error_from_errno            (...);

`...` : |
Returns : |